Package fr.gouv.vitam.processing.common.model

# Enum Class PauseRecover

java.lang.Object
java.lang.Enum<PauseRecover>
fr.gouv.vitam.processing.common.model.PauseRecover

All Implemented Interfaces:
  `Serializable`, `Comparable<PauseRecover>`, `Constable`

public enum PauseRecover extends Enum<PauseRecover>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NO_RECOVER`
  The default processWorkflow pauseRecover
  `RECOVER_FROM_API_PAUSE`
  The processWorkflow will be marked RECOVER_FROM_API_PAUSE when pause action origin is API The processWorkflow will be paused as soon as possible without waiting the end of the step.
  `RECOVER_FROM_SERVER_PAUSE`
  The processWorkflow will be marked RECOVER_FROM_SERVER_PAUSE when pause action origin is server stop The scenario is the same like RECOVER_FROM_API_PAUSE The only difference is that when the server restarts, only processWorkflow marked RECOVER_FROM_SERVER_PAUSE will be started automatically

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PauseRecover`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PauseRecover[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NO_RECOVER

    public static final PauseRecover NO_RECOVER
    The default processWorkflow pauseRecover

  - ### RECOVER_FROM_API_PAUSE

    public static final PauseRecover RECOVER_FROM_API_PAUSE
    The processWorkflow will be marked RECOVER_FROM_API_PAUSE when pause action origin is API The processWorkflow will be paused as soon as possible without waiting the end of the step. If the current step ends correctly (pauseCancelAction of the current step is PauseOrCancelAction.ACTION_COMPLETE) then the processWorkflow will be in pause state and the next step will be executed normally If the current step ends with pauseCancelAction equals to PauseOrCancelAction.ACTION_PAUSE this means that all elements of the current steps are not finished and state of the step should be saved in distributorIndex When next or resume action occurs on the processWorkflow : The processWorkflow will starts from the step marked PauseOrCancelAction.ACTION_PAUSE After the execution of doRunning method in th state machine, the pauseRecover of the processWorkflow must be updated to be NO_RECOVER And the distributorIndex will be used to initialize the last offset and ItemStatus before pause Then the processWorkflow continue to be executed normally

  - ### RECOVER_FROM_SERVER_PAUSE

    public static final PauseRecover RECOVER_FROM_SERVER_PAUSE
    The processWorkflow will be marked RECOVER_FROM_SERVER_PAUSE when pause action origin is server stop The scenario is the same like RECOVER_FROM_API_PAUSE The only difference is that when the server restarts, only processWorkflow marked RECOVER_FROM_SERVER_PAUSE will be started automatically

- ## Method Details

  - ### values

    public static PauseRecover[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PauseRecover valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null